VSTGUI: Listener Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
Listener Class Reference
Standalone Library

Value listener More...

`#include <valuelistener.h>`

Inheritance diagram for Listener:

## Public Types
using | OnBeginEditFunc = void(*) (IValue&)
using | OnEndEditFunc = void(*) (IValue&)
using | OnStateChangeFunc = void(*) (IValue&)
using | OnPerformEditFunc = void(*) (IValue&, IValue::Type)

## Public Member Functions
| Listener (IValue &value)
Public Member Functions inherited from ListenerBase
| ListenerBase (IValue &value)
| ~ListenerBase () noexcept override
IValue & | getValueObject () const
Public Member Functions inherited from Interface
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T>
const auto | dynamicCast () const
template<typename T>
auto | dynamicCast ()

## Public Attributes
OnBeginEditFunc | onBeginEditFunc {nullptr}
OnEndEditFunc | onEndEditFunc {nullptr}
OnStateChangeFunc | onStateChangeFunc {nullptr}
OnPerformEditFunc | onPerformEditFunc {nullptr}

## Detailed Description

Value listener

## Member Typedef Documentation

## ◆ OnBeginEditFunc

using OnBeginEditFunc = void(*) (IValue&)

## ◆ OnEndEditFunc

using OnEndEditFunc = void(*) (IValue&)

## ◆ OnPerformEditFunc

using OnPerformEditFunc = void(*) (IValue&, IValue::Type)

## ◆ OnStateChangeFunc

using OnStateChangeFunc = void(*) (IValue&)

## Constructor & Destructor Documentation

## ◆ Listener()

Listener | ( | IValue & | value | ) |
| inline

## Member Data Documentation

## ◆ onBeginEditFunc

OnBeginEditFunc onBeginEditFunc {nullptr}

## ◆ onEndEditFunc

OnEndEditFunc onEndEditFunc {nullptr}

## ◆ onPerformEditFunc

OnPerformEditFunc onPerformEditFunc {nullptr}

## ◆ onStateChangeFunc

OnStateChangeFunc onStateChangeFunc {nullptr}

The documentation for this class was generated from the following file:

- valuelistener.h